components:
  schemas:
    DataProtectionLineOfService_v1_1_2_Actions:
      additionalProperties: false
      properties:
        '#DataProtectionLineOfService.CreateReplicas':
          $ref: '#/components/schemas/DataProtectionLineOfService_v1_1_2_CreateReplicas'
      type: object
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    DataProtectionLineOfService_v1_1_2_CreateReplicas:
      additionalProperties: false
      description: This action creates an on-demand replica.
      properties:
        target:
          description: Link to invoke action
          format: uri-reference
          type: string
        title:
          description: Friendly action name
          type: string
      type: object
      x-longDescription: This action shall create an on-demand replica that conforms
        to the bound DataProtectionLineOfService.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    DataProtectionLineOfService_v1_1_2_DataProtectionLineOfService:
      additionalProperties: false
      description: Describes a data protection service option.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Description:
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          - enum:
            - 'null'
          readOnly: true
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        IsIsolated:
          description: The replica is in a separate fault domain.
          nullable: true
          readOnly: false
          type: boolean
          x-longDescription: True shall indicate that the replica is in a separate
            fault domain from its source. The default value of this property is false.
        MinLifetime:
          description: Minimum lifetime (seconds) that replica must be maintained.
          nullable: true
          readOnly: false
          type: string
          x-longDescription: 'The value shall be an ISO 8601 duration that specifies
            the minimum required lifetime of the replica. Note: The maximum number
            of replicas can be determined using this value together with the replicaSchedule.'
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        RecoveryGeographicObjective:
          description: Geographic distribution scopes.
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/swordfish/v1/DataProtectionLoSCapabilities.yaml#/components/schemas/DataProtectionLoSCapabilities_FailureDomainScope
          - enum:
            - 'null'
          readOnly: false
          x-longDescription: The value specifies the geographic scope of the failure
            domain.
        RecoveryPointObjectiveTime:
          description: Time interval defining how much source data that can be lost
            on failure.
          nullable: true
          readOnly: false
          type: string
          x-longDescription: The value shall be an ISO 8601 duration that specifies
            the maximum time over which source data may be lost on failure. In the
            case that IsIsolated = false, failure of the domain is not a consideration.
        RecoveryTimeObjective:
          description: An enumeration value that indicates the expected time to access
            an alternate replica.
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/swordfish/v1/DataProtectionLoSCapabilities.yaml#/components/schemas/DataProtectionLoSCapabilities_RecoveryAccessScope
          - enum:
            - 'null'
          readOnly: false
          x-longDescription: The value shall be an enumeration that indicates the
            maximum time required to access an alternate replica. In the case that
            IsIsolated = false, failure of the domain is not a consideration.
          x-units: s
        ReplicaAccessLocation:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.v1_3_0.yaml#/components/schemas/Resource_v1_3_0_Location
          description: Location that supplies data access to the replica.
          x-longDescription: 'This value shall be used if the data access location
            of the replica is required to be at a specific location.   Note 1: The
            location value may be granular.  Note 2: A value may be required for some
            regulatory compliance.'
        ReplicaClassOfService:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The replica's class of service.
          readOnly: false
          x-longDescription: The value shall reference the class of service that defines
            the required service levels of the replica.
        ReplicaType:
          description: Type of replica.
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/swordfish/v1/StorageReplicaInfo.yaml#/components/schemas/StorageReplicaInfo_ReplicaType
          - enum:
            - 'null'
          readOnly: false
          x-longDescription: The type of replica shall conform to this value.
        Schedule:
          $ref: http://redfish.dmtf.org/schemas/v1/Schedule.yaml#/components/schemas/Schedule_Schedule
          description: A schedule for making periodic point in time replicas.
          x-longDescription: If a replica is made periodically, the value shall define
            the schedule.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This service option describes a replica that protects data
        from loss. The requirements must be met collectively by the communication
        path and the replica.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    DataProtectionLineOfService_v1_1_2_ReplicaRequest:
      additionalProperties: false
      description: A ReplicaRequest contains information about the ReplicaSource and
        the ReplicaName.
      properties:
        ReplicaName:
          description: The name of the new replica.
          nullable: true
          readOnly: false
          type: string
          x-longDescription: The value shall be the names of the replica.
          x-versionAdded: v1_1_0
        ReplicaSource:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: A resource to be replicated.
          x-longDescription: The value shall reference a resource to be replicated.
          x-versionAdded: v1_1_0
      type: object
      x-longDescription: A ReplicaRequest shall contain information about the ReplicaSource
        and the ReplicaName.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#DataProtectionLineOfService.v1_1_2.DataProtectionLineOfService'
x-copyright: Copyright 2015-2024 Storage Networking Industry Association (SNIA), USA.
  All rights reserved.
x-owningEntity: SNIA
x-release: 1.0.6
